FIX::SocketConnector::Strategy Class Referenceabstract

`#include <SocketConnector.h>`

Inheritance diagram for FIX::SocketConnector::Strategy:
[legend]

## Public Member Functions

virtual | ~Strategy ()
virtual void | onConnect (SocketConnector &, int socket)=0
virtual void | onWrite (SocketConnector &, int socket)=0
virtual bool | onData (SocketConnector &, int socket)=0
virtual void | onDisconnect (SocketConnector &, int socket)=0
virtual void | onError (SocketConnector &)=0
virtual void | onTimeout (SocketConnector &)

## Detailed Description

Definition at line 54 of file SocketConnector.h.

## Constructor & Destructor Documentation

## ~Strategy()

virtual FIX::SocketConnector::Strategy::~Strategy | ( |  | ) |

inline virtual

Definition at line 57 of file SocketConnector.h.

{}

## Member Function Documentation

## onConnect()

virtual void FIX::SocketConnector::Strategy::onConnect | ( | SocketConnector & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onConnect().

## onData()

virtual bool FIX::SocketConnector::Strategy::onData | ( | SocketConnector & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onEvent().

## onDisconnect()

virtual void FIX::SocketConnector::Strategy::onDisconnect | ( | SocketConnector & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onError(), and FIX::ConnectorWrapper::onEvent().

## onError()

virtual void FIX::SocketConnector::Strategy::onError | ( | SocketConnector & |  | ) |

pure virtual

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onError().

## onTimeout()

virtual void FIX::SocketConnector::Strategy::onTimeout | ( | SocketConnector & |  | ) |

inline virtual

Reimplemented in FIX::SocketInitiator.

Definition at line 63 of file SocketConnector.h.

{};

Referenced by FIX::ConnectorWrapper::onTimeout().

## onWrite()

virtual void FIX::SocketConnector::Strategy::onWrite | ( | SocketConnector & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::SocketInitiator.

Referenced by FIX::ConnectorWrapper::onWrite().

The documentation for this class was generated from the following file:

- SocketConnector.h